#include <avr/io.h>
#include <stdlib.h>
#include <avr/interrupt.h>

#include "base.h"
#include "lcd.h"
#include "uart.h"

int main(void)
{
	_delay_ms(1000);
	lcd_init(LCD_DISP_ON);
	_delay_ms(1000);
    lcd_clrscr();
    lcd_gotoxy( 0, 1 );

    cli();
    uart_init();
	sei();

	uint16_t adress = 0x010A;
	char text[10];
    while(1)
    {
    	adress = 0x010A;
		uint16ToHexStr( adress, text );
		lcd_gotoxy( 10, 1 );
		lcd_puts( text );
		lcd_gotoxy( 0, 0 );
    	uart_putc( adress );
		lcd_puts( "gesendet " );
		_delay_ms(500);
		lcd_puts( "warten   " );
    	adress = uart_getc();
		uint16ToHexStr( adress, text );
		lcd_gotoxy( 0, 0 );
		lcd_puts( "empfangen" );
		lcd_gotoxy( 0, 1 );
		lcd_puts( text );
		_delay_ms(500);
    }
}
